# SdFat: Arduino/libraries/SdFat/SdFatUtil.h File Reference

SdFatUtil.h File Reference

Useful utility functions. More...

`#include <SdFat.h>`
Include dependency graph for SdFatUtil.h:
This graph shows which files directly or indirectly include this file:

## Namespaces

| SdFatUtil

## Macros

#define | PgmPrint(x) SerialPrint_P(PSTR(x))
#define | PgmPrintln(x) SerialPrintln_P(PSTR(x))

## Functions

int | SdFatUtil::FreeRam ()
void | SdFatUtil::print_P (Print *pr, PGM_P str)
void | SdFatUtil::println_P (Print *pr, PGM_P str)
void | SdFatUtil::SerialPrint_P (PGM_P str)
void | SdFatUtil::SerialPrintln_P (PGM_P str)

## Detailed Description

Useful utility functions.

## Macro Definition Documentation

#define PgmPrint | ( |  | x | ) | SerialPrint_P(PSTR(x))

Store and print a string in flash memory.

#define PgmPrintln | ( |  | x | ) | SerialPrintln_P(PSTR(x))

Store and print a string in flash memory followed by a CR/LF.